Skip to content

Partially updates a exhibitor reg process with the specified ID.

Request

This method will patch an existing exhibitor reg process with the specified ID, using the HTTP PATCH specification.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

idstringrequired

The ID of the exhibitor reg process to patch.

Bodyapplication/jsonrequired

The patch directives conforming to RFC 6902.

Array [
opstring(Op)required

The operation

Enum:"add""copy""move""remove""replace""test"
pathstring(Path)required

The JSON path

valuestring(Value)

The updated value

]
curl -i -X PATCH \
  'https://docs.api.rhythmsoftware.com/_mock/apis/events/events-v1/exhibitorRegProcesses/{tenantId}/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '[
    {
      "op": "add",
      "path": "string",
      "value": "string"
    }
  ]'

Responses

The exhibitor reg process was patched successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
add_on_rulesArray of objects, non-emptyrequired
booth_hold_timenumber, (float), [ 1 .. 60 ](Booth Hold Time)

The amount of time a booth should be held once selected during a checkout process

booth_type_pricesArray of objects, non-emptyrequired
checkout_settingsobject(Checkout Settings)required
close_datestring, (date-time)(Close Date)required

The date at which the process is closed and no longer available

confirmation_emailobject(Confirmation Email)required

The email to send when the application is received

contact_form_optionsobject(Contact Form Options)required
custom_confirmation_page_htmlstring(Custom Confirmation Page Html)required

The custom confirmation page HTML

custom_field_valuesArray of objects(Custom Field Values)
descriptionstring(Description)

Description of the process

display_in_portal_asstring(Display In Portal As)

How this process should appear in the portal

display_ordernumber, (float)(Display Order)

The display order

eligibility_criteriaobject(Eligibility Criteria)required

The criteria to use

enable_add_on_rulesboolean(Enable Add On Rules)

If set, you can define rules about how many adds on can or should be selected

enable_confirmation_emailboolean(Enable Confirmation Email)

Whether or not an email should be sent when the application is received

enable_custom_confirmation_page_htmlboolean(Enable Custom Confirmation Page Html)

enable custom text to show on the confirmation page

enable_eligibility_criteriaboolean(Enable Eligibility Criteria)

If set, only certain people can register with this type

event_idstring(Event)required

The event

form_idstring(Form)events-exhibitor-registrations__.*required

The registration form

idstring(ID)required

The unique, string identifier of this exhibitor reg process

is_activeboolean(Is Active)

Whether or not this exhibitor reg process is active

namestring(Name)required

The name of the exhibitor reg process

open_datestring, (date-time)(Open Date)required

The date at which the process is open

organization_form_optionsobject(Organization Form Options)required
override_checkout_settingsboolean(Override Checkout Settings)

Whether or not to override POC settings

priority_point_restrictionobject(Priority Point Restriction)required
restrict_by_priority_pointsboolean(Restrict By Priority Points)

If true, this process is only available to people with a certain number of priority points

selectable_in_portalboolean(Selectable In Portal)

Whether this type can be chosen in the portal

selection_modestring(Selection Mode)required

Determines how the user will select booths for this floor

Enum:"select booth types""select booths""virtual show floor"
show_contact_formboolean(Show Contact Form)

Whether or not to show a contact form

show_organization_formboolean(Show Organization Form)

Whether or not to show an organization form

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

Response
{ "add_on_rules": [ { … } ], "booth_hold_time": 1, "booth_type_prices": [ { … } ], "checkout_settings": { "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { … }, "bill_my_parent_organization_options": { … }, "business_unit_id": "string", "cancellation_fee_product_id": "string", "checkout_donation_options": { … }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { … }, "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "installment_plan_options": [ … ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "merchant_account_id": "string", "pay_later_options": { … }, "restocking_fee_product_id": "string", "special_instructions": "string", "use_pro_forma_invoices": true }, "close_date": "2019-08-24T14:15:22Z", "confirmation_email": { "bcc": "string", "body": "string", "cc": "string", "from": "string", "from_name": "string", "reply_to": "string", "subject": "string" }, "contact_form_options": { "contact_form_id": "string", "html": "string" }, "custom_confirmation_page_html": "string", "custom_field_values": [ { … } ], "description": "string", "display_in_portal_as": "string", "display_order": 0.1, "eligibility_criteria": { "advanced_rule_error_message": "string", "advanced_rules": {}, "age_restrictions": { … }, "award_options": { … }, "award_recipients": true, "by_location": true, "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "custom_logic_options": { … }, "customer_type": "contact", "donor_options": { … }, "donors": true, "enable_advanced_rules": true, "enable_age_restrictions": true, "enable_custom_logic": true, "enable_entitlement_restrictions": true, "enable_expression": true, "enable_organization_restrictions": true, "enable_status_restriction": true, "entitlement_restrictions": [ … ], "event_registration_options": { … }, "event_registrations": true, "expression": "string", "expression_error_message": "string", "location": { … }, "logic_operator": "and", "member_options": { … }, "members": true, "non_members": true, "organization_restrictions": { … }, "status_restrictions": [ … ], "use_organization_for_eligibility": true }, "enable_add_on_rules": true, "enable_confirmation_email": true, "enable_custom_confirmation_page_html": true, "enable_eligibility_criteria": true, "event_id": "string", "form_id": "string", "id": "string", "is_active": true, "name": "string", "open_date": "2019-08-24T14:15:22Z", "organization_form_options": { "html": "string", "organization_form_id": "string" }, "override_checkout_settings": true, "priority_point_restriction": { "maximum": 0.1, "minimum": 0.1, "priority_point_type_id": "string" }, "restrict_by_priority_points": true, "selectable_in_portal": true, "selection_mode": "select booth types", "show_contact_form": true, "show_organization_form": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 }